Package com.xmlmind.w2x.docx.packaging

## Class Related

- java.lang.Object
- - com.xmlmind.w2x.docx.packaging.Related

- All Implemented Interfaces:
    `Comparable<Related>`

      public final class Related
      extends Object
      implements Comparable<Related>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Related[]` | `EMPTY_LIST` |
    `boolean` | `external` |
    `String` | `id` |
    `String` | `target` |
    `String` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Related​(String id, String type, boolean external, String target)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(Related other)` |
    `static void` | `loadFrom​(Document doc, String internalBase, URI externalBase, Map<String,​Related> related)` |
    `String` | `toString()` |
    `static String` | `toString​(Related[] list)` |
    `void` | `toString​(StringBuilder buffer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public final String id

    - #### type

          public final String type

    - #### external

          public final boolean external

    - #### target

          public final String target

    - #### EMPTY_LIST

          public static final Related[] EMPTY_LIST

  - ### Constructor Detail

    - #### Related

          public Related​(String id,
                         String type,
                         boolean external,
                         String target)

  - ### Method Detail

    - #### loadFrom

          public static void loadFrom​(Document doc,
                                      String internalBase,
                                      URI externalBase,
                                      Map<String,​Related> related)
                               throws ParseException

      Throws:
        `ParseException`

    - #### compareTo

          public int compareTo​(Related other)

      Specified by:
        `compareTo` in interface `Comparable<Related>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public void toString​(StringBuilder buffer)

    - #### toString

          public static String toString​(Related[] list)